Name:		xenman
Version:	0.6        
Release:	4%{?dist}
Summary:	A graphical management tool for Xen Virtualisation

Group:		Applications/System
License:	GPL
URL:		http://xenman.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}.pam
Source4:	%{name}.consoleapps
Source5:	%{name}.log
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildArch:	noarch
Requires:	python, pygtk2, vte, python-paramiko >= 1.6.4       
Requires:	usermode, xen, kernel-xen

%description
XenMan is an intuitive, graphical management tool aimed at operational 
lifecycle management for the Xen virtualization platform. XenMan is built 
on the firm design philosophy that ease-of-use and sophistication can, 
and should, co-exist in a single management tool. So, XenMan should 
hopefully prove valuable to both seasoned Xen Administrators as well as 
those just seeking an introduction to Xen Virtualization.



%prep
%setup -q -n %{name}-%{version}

%build
#nothing to build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/doc
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/patches
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/src
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/cache/%{name}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/cache/%{name}/image_store
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps

install -Dp -m 644 distros/fedora/%{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
install -Dp -m 755 src/* $RPM_BUILD_ROOT%{_datadir}/%{name}/src
install -Dp -m 644 %{name}.glade $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}.glade
install -Dp -m 644 pixmaps/* $RPM_BUILD_ROOT%{_datadir}/%{name}/pixmaps
install -Dp -m 644 doc/* $RPM_BUILD_ROOT%{_datadir}/%{name}/doc
install -Dp -m 644 patches/* $RPM_BUILD_ROOT%{_datadir}/%{name}/patches
install -Dp -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/%{name}/pixmaps

find image_store | cpio -pdm $RPM_BUILD_ROOT%{_localstatedir}/cache/%{name}

chmod 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/patches/patch_paramiko
chmod 644 $RPM_BUILD_ROOT%{_datadir}/%{name}/src/htmltextview.py
chmod 644 $RPM_BUILD_ROOT%{_datadir}/%{name}/src/TreeViewTooltips.py
chmod 755 $RPM_BUILD_ROOT%{_localstatedir}/cache/%{name}/image_store/*/provision.sh

#Add log file as defined in /etc/xenman.conf
install -p -Dm 644 %{SOURCE5} $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}/

#Add desktop file for this front-end application.
desktop-file-install					\
	--vendor ""					\
	--dir $RPM_BUILD_ROOT/%{_datadir}/applications	\
	--mode 0644					\
	%{SOURCE1}

#Add PAM authentication to work as an normal fedora programs that need
#administratives privileges by an non-root user.
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/%{name}

touch $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/%{name}
touch $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/%{name}

install -p -Dm 644 %{SOURCE3} $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/%{name}
install -p -Dm 644 %{SOURCE4} $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_localstatedir}/cache/%{name}/
%{_localstatedir}/log/%{name}/%{name}.log
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}


%changelog
* Fri Feb 17 2007 Xavier Lamien <lxtnow@gmail.com> - 0.6-4
- Added PAM configuration as Sources.
- Replaced echo command by sources files.

* Sun Jan 28 2007 Xavier Lamien <lxtnow@gmail.com> - 0.6-3
- Added log file.

* Wed Jan 17 2007 Xavier Lamien <lxtnow@gmail.com> - 0.6-2
- Added custom xenman.desktop.
- Added Pam authentication to match with fedora programs that require
  administrative privileges to be managed.

* Wed Jan 10 2007 Xavier Lamien <lxtnow@gmail.com> - 0.6-1
- initial RPM release.
